#include <bits/stdc++.h>
using namespace std;
float a,b,c;
bool kiemtra()
{
	
	float d,e,f;
	d=a+b;
	e=b+c;
	f=a+c;
	if(d>c&&e>a&&f>b)
	return 1;
	if(d<c||e<a||f<b)
	return 0;
}
int main()
{	
	ifstream f1("TAMGIAC.INP");
	ofstream f2("TAMGIAC.OUT");
	f1>>a>>b>>c;
	float s, p;
	if(kiemtra()==1)
	{
		f2<<"YES"<<endl;
		p=(a+b+c)/2;
		s=sqrt(p*(p-a)*(p-b)*(p-c));
		f2<<s;
	}
	if(kiemtra()==0)
	{
		f2<<"NO";
	}
	f1.close();
	f2.close();
	return 0;
}
